Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.axis2.java.security
Class SSLProtocolSocketFactory

    java.lang.Object
      org.apache.axis2.java.security.SSLProtocolSocketFactory

All Implemented Interfaces:
  org.apache.commons.httpclient.protocol.ProtocolSocketFactory, org.apache.commons.httpclient.protocol.SecureProtocolSocketFactory

    public class SSLProtocolSocketFactory

extends java.lang.Object
implements org.apache.commons.httpclient.protocol.SecureProtocolSocketFactory

See Also:
  `TrustAllTrustManager`

Constructor Summary
`SSLProtocolSocketFactory(javax.net.ssl.SSLContext ctx)`

Method Summary
`java.net.Socket` | `createSocket(java.net.Socket socket, java.lang.String host, int port, boolean autoClose)`
`java.net.Socket` | `createSocket(java.lang.String host, int port)`
`java.net.Socket` | `createSocket(java.lang.String host, int port, java.net.InetAddress clientHost, int clientPort)`
`java.net.Socket` | `createSocket(java.lang.String host, int port, java.net.InetAddress localAddress, int localPort, org.apache.commons.httpclient.params.HttpConnectionParams params)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SSLProtocolSocketFactory

    public SSLProtocolSocketFactory(javax.net.ssl.SSLContext ctx)

Method Detail

### createSocket

    public java.net.Socket createSocket(java.lang.String host,
                                        int port,
                                        java.net.InetAddress localAddress,
                                        int localPort,
                                        org.apache.commons.httpclient.params.HttpConnectionParams params)
                                 throws java.io.IOException

  Specified by:
    `createSocket` in interface `org.apache.commons.httpclient.protocol.ProtocolSocketFactory`
  Throws:
    `java.io.IOException`

### createSocket

    public java.net.Socket createSocket(java.lang.String host,
                                        int port,
                                        java.net.InetAddress clientHost,
                                        int clientPort)
                                 throws java.io.IOException

  Specified by:
    `createSocket` in interface `org.apache.commons.httpclient.protocol.ProtocolSocketFactory`
  Throws:
    `java.io.IOException`
  See Also:
    `ProtocolSocketFactory.createSocket(java.lang.String, int, java.net.InetAddress, int)`

### createSocket

    public java.net.Socket createSocket(java.lang.String host,
                                        int port)
                                 throws java.io.IOException

  Specified by:
    `createSocket` in interface `org.apache.commons.httpclient.protocol.ProtocolSocketFactory`
  Throws:
    `java.io.IOException`
  See Also:
    `ProtocolSocketFactory.createSocket(java.lang.String, int)`

### createSocket

    public java.net.Socket createSocket(java.net.Socket socket,
                                        java.lang.String host,
                                        int port,
                                        boolean autoClose)
                                 throws java.io.IOException

  Specified by:
    `createSocket` in interface `org.apache.commons.httpclient.protocol.SecureProtocolSocketFactory`
  Throws:
    `java.io.IOException`
  See Also:
    `SecureProtocolSocketFactory.createSocket(java.net.Socket, java.lang.String, int, boolean)`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2011 The Apache Software Foundation. All Rights Reserved.